summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-02-20 17:58:45 +0000
committerJim Meyering <jim@meyering.net>2003-02-20 17:58:45 +0000
commita4bbb4de7ed3eb13980dfb03f3122aeea6eb9a89 (patch)
tree8cc405ec8e0e4f551ca27618843de6f7ca0c8172 /tests
parent9c46a8acf33e746f053d8c3c4040d5c9bd2776cc (diff)
downloadcoreutils-a4bbb4de7ed3eb13980dfb03f3122aeea6eb9a89.tar.xz
Add checks for the following:
BLOCK_SIZE, DU_BLOCK_SIZE, DF_BLOCK_SIZE, LS_BLOCK_SIZE.
Diffstat (limited to 'tests')
-rw-r--r--tests/envvar-check35
1 files changed, 33 insertions, 2 deletions
diff --git a/tests/envvar-check b/tests/envvar-check
index 880eaccfc..9fd7776d8 100644
--- a/tests/envvar-check
+++ b/tests/envvar-check
@@ -5,16 +5,47 @@ else
fi
$as_unset VERSION_CONTROL SIMPLE_BACKUP_SUFFIX
+$as_unset BLOCK_SIZE DU_BLOCK_SIZE DF_BLOCK_SIZE LS_BLOCK_SIZE
if test "${VERSION_CONTROL+set}" = set; then
echo "$0: the VERSION_CONTROL envvar is set --" \
' unset it and rerun this test' >&2
- exit 1
+ envvar_check_fail=1
fi
if test "${SIMPLE_BACKUP_SUFFIX+set}" = set; then
echo "$0: the SIMPLE_BACKUP_SUFFIX envvar is set --" \
' unset it and rerun this test' >&2
>&2
- exit 1
+ envvar_check_fail=1
fi
+
+if test "${BLOCK_SIZE+set}" = set; then
+ echo "$0: the BLOCK_SIZE envvar is set --" \
+ ' unset it and rerun this test' >&2
+ >&2
+ envvar_check_fail=1
+fi
+
+if test "${DU_BLOCK_SIZE+set}" = set; then
+ echo "$0: the DU_BLOCK_SIZE envvar is set --" \
+ ' unset it and rerun this test' >&2
+ >&2
+ envvar_check_fail=1
+fi
+
+if test "${DF_BLOCK_SIZE+set}" = set; then
+ echo "$0: the DF_BLOCK_SIZE envvar is set --" \
+ ' unset it and rerun this test' >&2
+ >&2
+ envvar_check_fail=1
+fi
+
+if test "${LS_BLOCK_SIZE+set}" = set; then
+ echo "$0: the LS_BLOCK_SIZE envvar is set --" \
+ ' unset it and rerun this test' >&2
+ >&2
+ envvar_check_fail=1
+fi
+
+test "$envvar_check_fail" = 1 && exit 1